#pragma once


namespace geom
{
class MeshBuf;
}


class Selection3D
{
public:
	Selection3D(void);

	void ClearSelect(void);

	bool IsObjectSelected(void) const;
	int GetSelObjectIdx(void) const;

	bool IsSelectedMBuf(int mbuf_idx) const;
	bool IsMBufSelected(void) const;
	int GetMBufIdx(void) const;

	void SelectObject(int obj_idx);
	void SelectMBuf(int obj_idx, int mbuf_idx);

	bool IsInSelects(const geom::MeshBuf& mbuf);

private:
	int m_SelObjectIdx;
	int m_SelMeshIdx;
};
